For the complete documentation index, see llms.txt. This page is also available as Markdown.

Spaces

List Spaces

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitinteger · int32OptionalDefault: 100
namestring · nullableOptional

Filter spaces by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with

page_tokenstring · nullableOptional
Responses
200

OK

application/json
get/api/admin/v1/spaces
GET /api/admin/v1/spaces HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "items": [
    {
      "id": "text",
      "name": "text",
      "space_scopes": [
        {
          "id": "text",
          "name": "text",
          "query": "text",
          "created_date": "text",
          "updated_date": "text"
        }
      ],
      "created_date": "text",
      "updated_date": "text"
    }
  ],
  "pagination": {
    "next_page_token": "text"
  }
}

Create Space

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

Space name (3-64 characters, unique per account)

space_scope_referencesstring[]Required

Space scope IDs or names that define the space's inventory scope. Use the Space Scopes API to manage scopes.

Responses
200

OK

application/json
idstringRequired

Unique identifier of the space

namestringRequired

Display name of the space

created_datestring · date-timeRequired

ISO 8601 formatted date-time

updated_datestring · date-timeRequired

ISO 8601 formatted date-time

post/api/admin/v1/spaces
POST /api/admin/v1/spaces HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 137

{
  "name": "text",
  "space_scope_references": [
    "text"
  ],
  "members": [
    {
      "identity_reference": "text",
      "identity_type": "text",
      "space_roles": [
        "text"
      ]
    }
  ]
}
200

OK

{
  "id": "text",
  "name": "text",
  "space_scopes": [
    {
      "id": "text",
      "name": "text",
      "query": "text",
      "created_date": "text",
      "updated_date": "text"
    }
  ],
  "created_date": "text",
  "updated_date": "text"
}

Get Space

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Unique identifier or display name of the space

Responses
200

OK

application/json
idstringRequired

Unique identifier of the space

namestringRequired

Display name of the space

created_datestring · date-timeRequired

ISO 8601 formatted date-time

updated_datestring · date-timeRequired

ISO 8601 formatted date-time

get/api/admin/v1/spaces/{id}
GET /api/admin/v1/spaces/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "id": "text",
  "name": "text",
  "space_scopes": [
    {
      "id": "text",
      "name": "text",
      "query": "text",
      "created_date": "text",
      "updated_date": "text"
    }
  ],
  "created_date": "text",
  "updated_date": "text"
}

Update Space

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Unique identifier or display name of the space

Body
namestringRequired

Space name (3-64 characters, unique per account)

space_scope_referencesstring[]Required

Space scope IDs or names that define the space's inventory scope. Use the Space Scopes API to manage scopes.

Responses
200

OK

application/json
idstringRequired

Unique identifier of the space

namestringRequired

Display name of the space

created_datestring · date-timeRequired

ISO 8601 formatted date-time

updated_datestring · date-timeRequired

ISO 8601 formatted date-time

put/api/admin/v1/spaces/{id}
PUT /api/admin/v1/spaces/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 49

{
  "name": "text",
  "space_scope_references": [
    "text"
  ]
}
200

OK

{
  "id": "text",
  "name": "text",
  "space_scopes": [
    {
      "id": "text",
      "name": "text",
      "query": "text",
      "created_date": "text",
      "updated_date": "text"
    }
  ],
  "created_date": "text",
  "updated_date": "text"
}

Delete Space

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Unique identifier or display name of the space

Responses
204

No Content

No content

delete/api/admin/v1/spaces/{id}
DELETE /api/admin/v1/spaces/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List Space Members

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Unique identifier or display name of the space

Query parameters
limitinteger · int32OptionalDefault: 100
page_tokenstring · nullableOptional
Responses
200

OK

application/json
get/api/admin/v1/spaces/{id}/members
GET /api/admin/v1/spaces/{id}/members HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "items": [
    {
      "identity_id": "text",
      "identity_type": "text",
      "space_roles": [
        "text"
      ],
      "name": "text",
      "email": "text"
    }
  ],
  "pagination": {
    "next_page_token": "text"
  }
}

Replace Space Members

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Unique identifier or display name of the space

Body
Responses
200

OK

application/json
put/api/admin/v1/spaces/{id}/members
PUT /api/admin/v1/spaces/{id}/members HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "members": [
    {
      "identity_reference": "text",
      "identity_type": "text",
      "space_roles": [
        "text"
      ]
    }
  ]
}
200

OK

{
  "items": [
    {
      "identity_id": "text",
      "identity_type": "text",
      "space_roles": [
        "text"
      ],
      "name": "text",
      "email": "text"
    }
  ],
  "pagination": {
    "next_page_token": "text"
  }
}

Add or Update Space Member

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Unique identifier or display name of the space

identity_referencestringRequired

Reference to the identity. For users: user ID or email. For groups: group ID or name.

Body
identity_typestringRequired

Type of identity: user or group

space_rolesstring[]Required

Roles to assign: SpaceOwner (full control) or SpaceManager (manage resources)

Responses
200

OK

application/json
identity_idstringRequired

User ID or Group ID

identity_typestringRequired

Identity type: user or group

space_rolesstring[]Required

Roles within the space: SpaceOwner, SpaceManager

namestringRequired

Display name of the user or group

emailstring · nullableOptional

Email address of the member (only applicable for user members)

put/api/admin/v1/spaces/{id}/members/{identity_reference}
PUT /api/admin/v1/spaces/{id}/members/{identity_reference} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "identity_type": "text",
  "space_roles": [
    "text"
  ]
}
200

OK

{
  "identity_id": "text",
  "identity_type": "text",
  "space_roles": [
    "text"
  ],
  "name": "text",
  "email": "text"
}

Remove Space Member

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Unique identifier or display name of the space

identity_referencestringRequired

Reference to the identity. For users: user ID or email. For groups: group ID or name.

Responses
204

No Content

No content

delete/api/admin/v1/spaces/{id}/members/{identity_reference}
DELETE /api/admin/v1/spaces/{id}/members/{identity_reference} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated

Was this helpful?